<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:14 CET 2009 -->
<TITLE>
Uses of Class ch.javasoft.metabolic.efm.adj.incore.tree.InterNode
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Class ch.javasoft.metabolic.efm.adj.incore.tree.InterNode";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/InterNode.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html?ch/javasoft/metabolic/efm/adj/incore/tree/class-use/InterNode.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="InterNode.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Class<br>ch.javasoft.metabolic.efm.adj.incore.tree.InterNode</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/InterNode.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">InterNode</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.adj.incore.tree"><B>ch.javasoft.metabolic.efm.adj.incore.tree</B></A></TD>
<TD>The <tt>adj.incore.tree</tt> package and subpackages contain classes 
implementing different bit pattern tree versions; all those trees are stored 
in-core (in memory).&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.adj.incore.tree.urank"><B>ch.javasoft.metabolic.efm.adj.incore.tree.urank</B></A></TD>
<TD>The <tt>adj.incore.tree.urank</tt> package contains classes using the trees for 
the recursive enumeration of adjacent rays, using the <i>lazy rank updating</i>
approach to test for adjacency.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.adj.incore.tree"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/InterNode.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">InterNode</A> in <A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree</A> that return <A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/InterNode.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">InterNode</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/InterNode.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">InterNode</A>&lt;<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/PoolToken.html" title="interface in ch.javasoft.metabolic.efm.adj.incore.tree">PoolToken</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>PoolTreeFactory.</B><B><A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/PoolTreeFactory.html#createInterNode(ch.javasoft.metabolic.efm.memory.SortableMemory, int[], int, int, int)">createInterNode</A></B>(<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;cols,
                               int[]&nbsp;selectiveBits,
                               int&nbsp;prevSelBitIndex,
                               int&nbsp;iStart,
                               int&nbsp;iEnd)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/InterNode.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">InterNode</A>&lt;<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/concurrent/SemaphoreConcurrentToken.html" title="class in ch.javasoft.metabolic.efm.concurrent">SemaphoreConcurrentToken</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>SemIncMultiThreadTreeFactory.</B><B><A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/SemIncMultiThreadTreeFactory.html#createInterNode(ch.javasoft.metabolic.efm.memory.SortableMemory, int[], int, int, int)">createInterNode</A></B>(<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;cols,
                               int[]&nbsp;selectiveBits,
                               int&nbsp;prevSelBitIndex,
                               int&nbsp;iStart,
                               int&nbsp;iEnd)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/InterNode.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">InterNode</A>&lt;<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/concurrent/SemaphoreConcurrentToken.html" title="class in ch.javasoft.metabolic.efm.concurrent">SemaphoreConcurrentToken</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>JobScheduleMultiThreadTreeFactory.</B><B><A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/JobScheduleMultiThreadTreeFactory.html#createInterNode(ch.javasoft.metabolic.efm.memory.SortableMemory, int[], int, int, int)">createInterNode</A></B>(<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;cols,
                               int[]&nbsp;selectiveBits,
                               int&nbsp;prevSelBitIndex,
                               int&nbsp;iStart,
                               int&nbsp;iEnd)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.adj.incore.tree.urank"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/InterNode.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">InterNode</A> in <A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.urank</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.urank</A> that return <A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/InterNode.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">InterNode</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/InterNode.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">InterNode</A>&lt;<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/concurrent/RankUpdateToken.html" title="class in ch.javasoft.metabolic.efm.concurrent">RankUpdateToken</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>RankUpdateJobScheduleTreeFactory.</B><B><A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/RankUpdateJobScheduleTreeFactory.html#createInterNode(ch.javasoft.metabolic.efm.memory.SortableMemory, int[], int, int, int)">createInterNode</A></B>(<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;cols,
                               int[]&nbsp;selectiveBits,
                               int&nbsp;prevSelBitIndex,
                               int&nbsp;iStart,
                               int&nbsp;iEnd)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/InterNode.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">InterNode</A>&lt;<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/concurrent/RankUpdateToken.html" title="class in ch.javasoft.metabolic.efm.concurrent">RankUpdateToken</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>RankUpdateTreeFactory.</B><B><A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/RankUpdateTreeFactory.html#createInterNode(ch.javasoft.metabolic.efm.memory.SortableMemory, int[], int, int, int)">createInterNode</A></B>(<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;cols,
                               int[]&nbsp;selectiveBits,
                               int&nbsp;prevSelBitIndex,
                               int&nbsp;iStart,
                               int&nbsp;iEnd)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/InterNode.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html?ch/javasoft/metabolic/efm/adj/incore/tree/class-use/InterNode.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="InterNode.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
